net.sf.jasperreports.engine.export

## Class MapHtmlResourceHandler

- java.lang.Object
- - net.sf.jasperreports.engine.export.MapHtmlResourceHandler

- All Implemented Interfaces:
    HtmlResourceHandler

      public class MapHtmlResourceHandler
      extends java.lang.Object
      implements HtmlResourceHandler

  Version:
    $Id$
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapHtmlResourceHandler()`
    `MapHtmlResourceHandler(HtmlResourceHandler parentHandler)`
    `MapHtmlResourceHandler(HtmlResourceHandler parentHandler, java.util.Map<java.lang.String,byte[]> resourcesMap)`
    `MapHtmlResourceHandler(java.util.Map<java.lang.String,byte[]> resourcesMap)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getResourcePath(java.lang.String id)`
    `java.util.Map<java.lang.String,byte[]>` | `getResourcesMap()`
    `void` | `handleResource(java.lang.String id, byte[] data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapHtmlResourceHandler

          public MapHtmlResourceHandler(HtmlResourceHandler parentHandler,
                                java.util.Map<java.lang.String,byte[]> resourcesMap)

    - #### MapHtmlResourceHandler

          public MapHtmlResourceHandler(HtmlResourceHandler parentHandler)

    - #### MapHtmlResourceHandler

          public MapHtmlResourceHandler(java.util.Map<java.lang.String,byte[]> resourcesMap)

    - #### MapHtmlResourceHandler

          public MapHtmlResourceHandler()

  - ### Method Detail

    - #### getResourcePath

          public java.lang.String getResourcePath(java.lang.String id)

      Specified by:
        `getResourcePath` in interface `HtmlResourceHandler`

    - #### handleResource

          public void handleResource(java.lang.String id,
                            byte[] data)

      Specified by:
        `handleResource` in interface `HtmlResourceHandler`

    - #### getResourcesMap

          public java.util.Map<java.lang.String,byte[]> getResourcesMap()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com